ghcide-2.9.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.LSP.Notifications

# Documentation

whenUriFile :: Uri -> (NormalizedFilePath -> IO ()) -> IO () #

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

data Log #

Constructors

LogShake Log |
LogFileStore Log |
LogOpenedTextDocument !Uri |
LogModifiedTextDocument !Uri |
LogSavedTextDocument !Uri |
LogClosedTextDocument !Uri |
LogWatchedFileEvents !Text |
LogWarnNoWatchedFilesSupport |

#### Instances

Instances details

Show Log # |
Instance details Defined in Development.IDE.LSP.Notifications Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Development.IDE.LSP.Notifications Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #

ghcideNotificationsPluginPriority :: Natural #